SoNodeList(3)

NAME
SoNodeList - The SoNodeList class is a container for pointers to SoNode objects.

SYNOPSIS

#include <Inventor/lists/SoNodeList.h>

Inherits SoBaseList.

Inherited by SoChildList.

  Public Member Functions
SoNodeList (void)
SoNodeList (const int size)
SoNodeList (const SoNodeList &nl)
~SoNodeList ()
void append (SoNode *const ptr)
SoNode * operator[] (const int i) const
SoNodeList & operator= (const SoNodeList &nl)

  Additional Inherited Members

Detailed Description

The SoNodeList class is a container for pointers to SoNode objects. As this class inherits SoBaseList, referencing and dereferencing will default be done on the objects at append(), remove(), insert() etc.

Constructor & Destructor Documentation

  SoNodeList::SoNodeList (void)
Default constructor.

  SoNodeList::SoNodeList (const int size)
Constructor with a hint about the number of elements the list will hold.

See also
    SoBaseList::SoBaseList(const int)

  SoNodeList::SoNodeList (const SoNodeList & nl)
Copy constructor.

See also
    SoBaseList::SoBaseList(const SoBaseList &)

  SoNodeList::~SoNodeList ()
Destructor.

See also
    SoBaseList::~SoBaseList()

Member Function Documentation

  void SoNodeList::append (SoNode *const ptr)
Append ptr to the list.

See also
    SoBaseList::append()

  SoNode * SoNodeList::operator[] (const int i) const
Return node pointer at index i.

See also
    SoBaseList::operator[]()

  SoNodeList & SoNodeList::operator= (const SoNodeList & nl)
Copy contents of list nl to this list.

See also
    SoBaseList::operator=()

Author

Generated automatically by Doxygen for Coin from the source code.